package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Attributeinstance generated by hbm2java
 */
@Entity
@Table(name="attributeinstance"
    ,catalog="openbravopos"
)
public class Attributeinstance  implements java.io.Serializable {


     private String id;
     private Attribute attribute;
     private Attributesetinstance attributesetinstance;
     private String value;

    public Attributeinstance() {
    }

	
    public Attributeinstance(String id, Attribute attribute, Attributesetinstance attributesetinstance) {
        this.id = id;
        this.attribute = attribute;
        this.attributesetinstance = attributesetinstance;
    }
    public Attributeinstance(String id, Attribute attribute, Attributesetinstance attributesetinstance, String value) {
       this.id = id;
       this.attribute = attribute;
       this.attributesetinstance = attributesetinstance;
       this.value = value;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTE_ID", nullable=false)
    public Attribute getAttribute() {
        return this.attribute;
    }
    
    public void setAttribute(Attribute attribute) {
        this.attribute = attribute;
    }

@ManyToOne(fetch=FetchType.LAZY)
    @JoinColumn(name="ATTRIBUTESETINSTANCE_ID", nullable=false)
    public Attributesetinstance getAttributesetinstance() {
        return this.attributesetinstance;
    }
    
    public void setAttributesetinstance(Attributesetinstance attributesetinstance) {
        this.attributesetinstance = attributesetinstance;
    }

    
    @Column(name="VALUE")
    public String getValue() {
        return this.value;
    }
    
    public void setValue(String value) {
        this.value = value;
    }




}


